# Created by pyp2rpm-1.0.1
%global pypi_name Delorean
%global __requires_exclude humanize

Name:           python-delorean
Version:        1.0.0
Release:        %mkrel 8
Group:          Development/Python
Summary:        library for manipulating datetimes with ease and clarity

License:        MIT license
Url:            https://pypi.python.org/pypi/Delorean
Source0:        https://pypi.python.org/packages/source/D/Delorean/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)


%description
`Delorean` is a library for clearing up the inconvenient
truths that arise dealing with datetimes in Python.


%package -n     python3-delorean
Summary:        library for manipulating datetimes with ease and clarity
Group:          Development/Python
BuildArch:      noarch
%{?python_provide:%python_provide python3-delorean}

%description -n python3-delorean
`Delorean` is a library for clearing up the inconvenient truths that
arise dealing with datetimes in Python 3.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py3_build


%install
%py3_install


%files -n python3-delorean
%doc README.rst docs/license.rst LICENSE.txt
%{python3_sitelib}/delorean
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info



%changelog
* Sun Mar 02 2025 wally <wally> 1.0.0-8.mga10
+ Revision: 2156909
- rebuild for python3.13

* Mon Jan 01 2024 papoteur <papoteur> 1.0.0-7.mga10
+ Revision: 2025386
- rebuild for python 3.12

* Mon Mar 21 2022 umeabot <umeabot> 1.0.0-6.mga9
+ Revision: 1816473
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.0.0-5.mga9
+ Revision: 1785434
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.0.0-4.mga9
+ Revision: 1732610
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.0-3.mga8
+ Revision: 1535550
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 1.0.0-2.mga8
+ Revision: 1452157
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 1.0.0-1.mga7
+ Revision: 1352448
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.5.0-4.mga7
+ Revision: 1288571
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.5.0-3.mga7
+ Revision: 1135365
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 971081
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 0.5.0-1.mga6
+ Revision: 889196
- new version: 0.5.0 (fix python-dateutil version requirement)
- use new python macros
- add an Url

* Sat Oct 10 2015 tv <tv> 0.3.1-7.mga6
+ Revision: 888759
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-6.mga5
+ Revision: 749770
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.1-5.mga5
+ Revision: 728227
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-4.mga5
+ Revision: 687962
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.3.1-3.mga5
+ Revision: 628546
- Rebuild for new Python

* Wed Nov 27 2013 joequant <joequant> 0.3.1-2.mga4
+ Revision: 553747
- add python3

* Wed Nov 27 2013 joequant <joequant> 0.3.1-1.mga4
+ Revision: 553696
- imported package python-delorean

